精华内容
下载资源
问答
  • linux yum无法使用

    2020-04-29 19:25:58
    近期,在用yum下载ntp的时候,无法下载,百度好多解决办法,不仅很复杂,而且基本无法解决。 一个很简单的方法就是直接换一个阿里的yum源。 一开始用yum的时候,出现如下问题: 百度很多方法都解决不了,后来询问...

    近期,在用yum下载ntp的时候,无法下载,百度好多解决办法,不仅很复杂,而且基本无法解决。
    一个很简单的方法就是直接换一个阿里的yum源。

    一开始用yum的时候,出现如下问题:

    在这里插入图片描述
    百度很多方法都解决不了,后来询问前辈,简单粗暴,只需要换一个阿里的yum源就好了

    进入/etc/yum.repos.d目录,然后把该目录的文件可以都删除,再新建一个文件(我建的是aliyun.repo)

    vim aliyun.repo 
    

    然后将如下内容放进去

    [aliyun_os]
    name=aliyun_os
    baseurl=https://mirrors.aliyun.com/centos/6/os/x86_64/
    enabled=1
    gpgcheck=0
    
    [aliyun_extras]
    name=aliyun_extras
    baseurl=https://mirrors.aliyun.com/centos/6/extras/x86_64/
    enabled=1
    gpgcheck=0
     
    [aliyun_epel]
    name=aliyun_epel
    baseurl=https://mirrors.aliyun.com/epel/6/x86_64/
    enabled=1
    gpgcheck=0
    
    

    注意需要看你系统版本是6还7 ,修改上述内容对应6或7
    修改好之后,保存,然后你的yum就可以用了。十分简单

    展开全文
  • Linux yum 无法无法使用

    2015-11-02 02:37:08
    yum无法使用 这是自带的yum源 ![图片说明](https://img-ask.csdn.net/upload/201511/02/1446431634_116796.png) 这是我更改阿里之后的 ![图片说明]...
  • Linux下载时是默认调用的python2中的yum模块,如果升级后无法使用,则需要修改yum文件的path地址。并让python2和python3并存,即可解决。按照上一篇:【【Python】如何在Linux系统下升级安装Python3.7.1】...

    Linux下载时是默认调用的python2中的yum模块,如果升级后无法使用,则需要修改yum文件的path地址。

    并让python2和python3并存,即可解决。

    按照上一篇:

    【【Python】如何在Linux系统下升级安装Python3.7.1】https://blog.csdn.net/aasdad1/article/details/82586852

    报错:

    升级后使用yum报错:

    17e181c5a9a2c66c4f16cf977f179662.png

    开启并存之路:

    1.找到yum所在路径:

    e79e34ac5ea7b75bfedf601da807b7f3.png

    2.找到上次用软链接所备份的python2的bak文件,进行重命名:

    [root@VM_0_2_centos ~]# cd /usr/bin

    [root@VM_0_2_centos bin]# mv python.bak python2

    3.检查下是否重命名成功:

    [root@VM_0_2_centos bin]# find / -name python2

    /usr/bin/python2

    4.编辑yum使用路径和/usr/libexec/urlgrabber-ext-down的指向都为python2:

    [root@VM_0_2_centos ~]# vim /usr/bin/yum

    [root@VM_0_2_centos ~]# vim /usr/libexec/urlgrabber-ext-down

    将头部的#!/usr/bin/python   改为   #!/usr/bin/python2 ,如下所示:

    #!/usr/bin/python2

    修改完毕后,使用按esc结束编辑,并输入 :wq ,保存。

    6.此时测试yum是否可用:

    80c8d63430f6447870db6fc5d081a2ee.png

    6.检查python3和python2是否并存:

    3d0da486d1b7d5a8601d39b9f84828e6.png

    OK! yum也可以用啦! python之间也并存啦~! Perfect~撒花~!

    展开全文
  • 解决 Linux yum无法使用的问题

    千次阅读 2020-02-15 21:01:10
    Linux 默认配置的yum源都是国外的地址,为了提升速度我们可以修改为国内的地址,例如直接换成阿里的yum源: 备份原有的yum源文件 一般情况下yum源配置在 /etc/yum.repos.d 路径下的以 Base.repo结尾的文件,执行...

    配置yum源

    在解决yum源问题之前先确认当前服务器是否已经安装可用的yum源,是否可以链接外网安装依赖等问题

    1. 修改yum源地址

    Linux 默认配置的yum源都是国外的地址,为了提升速度我们可以修改为国内的地址,例如直接换成阿里的yum源:

    • 备份原有的yum源文件

    • 一般情况下yum源配置在 /etc/yum.repos.d 路径下的以 Base.repo结尾的文件,

    • 执行命令:mv /etc/yum.repos.d/CentOS-Base.repo /etc/yum.repos.d/CentOS-Base.repo.backup 将文件备份

    • 下载新的yum源文件

      • 执行命令:wget -O /etc/yum.repos.d/CentOS-Base.repo http://mirrors.aliyun.com/repo/Centos-7.repo
      • 执行命令:yum clean all 清除之前的缓存
      • 执行命令:yum makecache 生成缓存

    2. 安装yum源

    • 如果没有yum源但是可以链接外网,可以选择直接安装yum源,安装方法如下:

    • 下载yum源,执行:wget http://yum.baseurl.org/download/3.2/yum-3.2.28.tar.gz

    • 解压安装包:tar xvf yum-3.2.28.tar.gz

    • 进入安装目录:cd yum-3.2.28

    • 安装:sudo apt install yum

    • 执行以下命令,更新到最新版本

      yum check-update
      yum update
      yum clean all
      yum makecache
      

    3. 挂载镜像文件

    如果没有yum源同时又无法链接外网,可以选择挂载iso镜像文件的方式

    • 首先使用Xftp工具将准备好的iso镜像文件上传到服务器的 /home/centos/ 路径下
    • 修改iso文件的操作权限:chmod 755 /home/centos/CentOS-7-x86_64-DVD-1908.iso
    • 进入 mnt 文件夹: cd /mnt
    • 创建cdrom文件夹:mkdir cdrom
    • 将iso文件挂载:mount /home/centos/CentOS-7-x86_64-DVD-1908.iso /mnt/cdrom/
    • 清除yum 缓存:yum clean all
    • 生成缓存:yum makecache
    展开全文
  • linux Python升级导致Yum无法使用

    千次阅读 2017-04-07 15:59:55
    Python升级导致Yum无法使用
     yum -y install libtool 
    There was a problem importing one of the Python modules
    required to run yum. The error leading to this problem was:


       No module named yum


    Please install a package which provides this module, or
    verify that the module is installed correctly.


    It's possible that the above module doesn't match the
    current version of Python, which is:
    2.7.8 (default, Apr  7 2017, 03:20:15) 
    [GCC 4.4.7 20120313 (Red Hat 4.4.7-17)]


    If you cannot solve this problem yourself, please go to 
    the yum faq at:
      http://yum.baseurl.org/wiki/Faq


    错误原因:错误信息描述为 yum 所依赖的python 不相符,提示当前版本是2.7.8可能版本不匹配。没有yum依赖的包。
    3、查看yum版本
    rpm -qa |grep yum
    4、查看python版本
     whereis python
    python: /usr/bin/python2.4 /usr/bin/python /usr/lib/python2.4 /usr/local/bin/python2.6 /usr/local/bin/python2.6-config /usr/local/bin/python /usr/local/lib/python2.6 /usr/share/man/man1/python.1.gz
    果然装了两个版本python
    5、执行python,查看到使用2.6.1的版本
    Python 2.7.8 (default, Apr  7 2017, 03:20:15) 
    [GCC 4.4.7 20120313 (Red Hat 4.4.7-17)] on linux2
    Type "help", "copyright", "credits" or "license" for more information.
    6、猜测yum调用了高版本的python。
    7、解决方法:
    查找yum文件,并编辑此py文件
     which yum
    /usr/bin/yum
    vi /usr/bin/yum

    #!/usr/bin/python
    改为:
    #!/usr/bin/python2.6


    然后保存OK.
    yum -y install libtool 


    补充:yum基于python写的。
    展开全文
  • linux无法使用yum

    2020-12-16 14:31:08
    项目场景:linux无法使用yum 问题描述: YumRepo Error: All mirror URLs are not using ftp, http[s] or file. Eg. Invalid release/repo/arch combination/ removing mirrorlist with no valid mirrors: /var/...
  • 背景:公司的电脑是通过代理上网的,Vmware下一台...可以ping的通外网,但是yum安装东西总是报错,如下图[root@test~]#yumlist Loadedplugins:fastestmirror,refresh-packagekit,securitySettingup RemoveProcessNo...
  • 环境部署中经常碰到的问题是使用linuxyum命令进行安装程序,但是很多时候都会出现无法安装的问题。我首先想到的就是使用系统安装中的包进行挂载安装。在虚拟机中进行一下操作:1、虚拟机->设置->CD/DVD选择...
  • Linux中升级Python后不能使用yum命令在Python命令中不能使用方向键更改命令问题:在Linux中安装Python之后,由于在xshell中使用Python命令的是不能使用方向键?答案:安装redaline库使用如下命令:#yum -y install ...
  • LINUX实操:Python升级导致yum不可用 “ No module named yum”》要点:本文介绍了LINUX实操:Python升级导致yum不可用 “ No module named yum”,希望对您有用。如果有疑问,可以联系我们。最近在看Python,...
  • 笔者初试Oracle Linux的时候,发现这样一种现象:在root用户下使用yum update”进行升级时,系统报告以下错误: [root@test /]# yum update Loaded plugins: refresh-packagekit, security Setting up Update ...
  • 在下载虚拟机后,由于网络没有配置好,会遇到没网问题,导致yum无法使用,下载不了软件,当我们安装软件时出现下面情况: 下面给出解决方案(亲测有效) 非常详细!!! 第一步:编辑虚拟机网路适配器 将网络连接...
  • Linux下载时是默认调用的python2中的yum模块,如果升级后无法使用,则需要修改yum文件的path地址。 并让python2和python3并存,即可解决。 按照上一篇: 【【Python】如何在Linux系统下升级安装Python3.7.1】...
  • Red Hat Linux 无法使用yum命令 参考链接https://blog.csdn.net/nudtfeizhang/article/details/83689808 https://www.cnblogs.com/djls...
  • 将centos升级,python也跟着升级到2.6版本,然后尝试使用yum命令提示版本不对,于是使用vi/usr/bin/yum修改首行将#!/usr/bin/python 改为#!/usr/bin/python2.6接着重启服务器,然后再使用yum命令出现以下错误**/usr/...
  • linux 5.3无法使用yum

    2009-06-09 09:31:36
    CentOS的源有好多,网上大多数人...先将RHEL5自带的yum删除,执行 rpm -qa|grep yum   将所有找到的包都删除(删除很郁闷的,最好加上--nodeps),然后到中科大的网站下载如下两个包:  ...
  • 在 Fedora 上使用 yum 仓库来获取最新的 ZFS 特性。• 来源:linux.cn • 作者:Sheng Mao • 译者:geekpi •(本文字数:2538,阅读时长大约:3 分钟)我是一名 Fedora Linux 用户,我每天都会运行 yum upgrade。...
  • linuxyum命令无法使用解决方法

    千次阅读 2014-11-23 21:03:35
    环境部署中经常碰到的问题是使用linuxyum命令进行安装程序,但是很多时候都会出现无法安装的问题。 我首先想到的就是使用系统安装中的包进行挂载安装。 在虚拟机中进行一下操作: 1、虚拟机->设置-&...
  • 安装#rpm –ivh python-2.6.6-51.el6.x86_64.rpm python-iniparse-0.3.1-2.1.el6.noarch.rpm下载安装yum包下载地址...
  • Red Hat Linux 7.2无法使用yum命令

    千次阅读 2018-11-03 19:16:23
    遇到该问题后,在网上找了许多解决方案。各个方案或多或少都有些问题。本文为综合以下两篇文章内容后验证成功的解决方法: ...1、为什么RHEL不能使用yum命令 因为它是收费的,所以系统需要先注册。 2、解决...
  • 修改yum配置文件(vi /usr/bin/yum)。把文件头部的#!/usr/bin/python改成#!/usr/bin/python2.7。 修改/usr/libexec/urlgrabber-ext-down文件,将python同样指向python2.7 因为yum是基于Python编写的,而Python3和...
  • 1.检查是否能ping通外网 ...如果无法连接(显示未知的名称或服务),修改文件 vi /etc/sysconfig/network-scripts/ifcfg-ens33 IPADDR= #ip地址 GATEWAY= #网关 NETMASK= #子网掩码 添加一行加粗部分: DNS1=
  • Linux 无法使用yum 命令解决方法

    千次阅读 2020-07-01 00:14:02
    配置repo 源 1.mkdir -p /root/cdroom 2.mount /dev/cdrom /root/cdroom 3.vi/etc/yum.repos.d/base.repo [base] name=base baseurl=file:///root/cdroom gpgcheck=0 enable=1
  • linux系统yum命令无法正常使用

    千次阅读 2018-08-12 23:55:50
    但发现,执行yum命令,发现出错: 错误为: FatalPythonerror:pycurl: libcurl link-time version is older than compile-time version Aborted 经过查资料,发现问题可能是环境造成的;于是,在 /etc/profile...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 1,325
精华内容 530
关键字:

linuxyum无法使用

linux 订阅